---
title: Update notification settings
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Governance Console
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update notification settings{% #update-notification-settings %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                |
| ----------------- | --------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/governance/notification_settings |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/governance/notification_settings |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/governance/notification_settings      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/governance/notification_settings      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/governance/notification_settings  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/governance/notification_settings |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/governance/notification_settings     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/governance/notification_settings |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/governance/notification_settings |

### Overview

Update the organization-wide governance notification settings. Only the attributes present in the request are modified. This endpoint requires all of the following permissions:
`governance_console_read``governance_console_write` 


### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                            | Type    | Description                                                                                                                          |
| ------------ | -------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------ |
|              | data [*required*]           | object  | The data of a governance notification settings update request.                                                                       |
| data         | attributes                       | object  | The attributes of the governance notification settings that can be updated. Only the attributes present in the request are modified. |
| attributes   | assignment_notifications_enabled | boolean | Whether notifications are sent to users when detections are assigned to them.                                                        |
| data         | type [*required*]           | enum    | Governance notification settings resource type. Allowed enum values: `governance_notification_settings`                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "assignment_notifications_enabled": true
    },
    "type": "governance_notification_settings"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
The organization-wide governance notification settings.

| Parent field | Field                                              | Type    | Description                                                                                             |
| ------------ | -------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------- |
|              | data [*required*]                             | object  | A governance notification settings resource.                                                            |
| data         | attributes [*required*]                       | object  | The attributes of the organization-wide governance notification settings.                               |
| attributes   | assignment_notifications_enabled [*required*] | boolean | Whether notifications are sent to users when detections are assigned to them.                           |
| data         | id [*required*]                               | string  | The unique identifier of the organization the notification settings apply to.                           |
| data         | type [*required*]                             | enum    | Governance notification settings resource type. Allowed enum values: `governance_notification_settings` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "assignment_notifications_enabled": true
    },
    "id": "11111111-2222-3333-4444-555555555555",
    "type": "governance_notification_settings"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/governance/notification_settings" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "assignment_notifications_enabled": true
    },
    "type": "governance_notification_settings"
  }
}
EOF 
                
##### 

```python
"""
Update notification settings returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.governance_console_api import GovernanceConsoleApi
from datadog_api_client.v2.model.governance_notification_settings_resource_type import (
    GovernanceNotificationSettingsResourceType,
)
from datadog_api_client.v2.model.governance_notification_settings_update_attributes import (
    GovernanceNotificationSettingsUpdateAttributes,
)
from datadog_api_client.v2.model.governance_notification_settings_update_data import (
    GovernanceNotificationSettingsUpdateData,
)
from datadog_api_client.v2.model.governance_notification_settings_update_request import (
    GovernanceNotificationSettingsUpdateRequest,
)

body = GovernanceNotificationSettingsUpdateRequest(
    data=GovernanceNotificationSettingsUpdateData(
        attributes=GovernanceNotificationSettingsUpdateAttributes(
            assignment_notifications_enabled=True,
        ),
        type=GovernanceNotificationSettingsResourceType.GOVERNANCE_NOTIFICATION_SETTINGS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_governance_notification_settings"] = True
with ApiClient(configuration) as api_client:
    api_instance = GovernanceConsoleApi(api_client)
    response = api_instance.update_governance_notification_settings(body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update notification settings returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_governance_notification_settings".to_sym] = true
end
api_instance = DatadogAPIClient::V2::GovernanceConsoleAPI.new

body = DatadogAPIClient::V2::GovernanceNotificationSettingsUpdateRequest.new({
  data: DatadogAPIClient::V2::GovernanceNotificationSettingsUpdateData.new({
    attributes: DatadogAPIClient::V2::GovernanceNotificationSettingsUpdateAttributes.new({
      assignment_notifications_enabled: true,
    }),
    type: DatadogAPIClient::V2::GovernanceNotificationSettingsResourceType::GOVERNANCE_NOTIFICATION_SETTINGS,
  }),
})
p api_instance.update_governance_notification_settings(body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Update notification settings returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.GovernanceNotificationSettingsUpdateRequest{
		Data: datadogV2.GovernanceNotificationSettingsUpdateData{
			Attributes: &datadogV2.GovernanceNotificationSettingsUpdateAttributes{
				AssignmentNotificationsEnabled: datadog.PtrBool(true),
			},
			Type: datadogV2.GOVERNANCENOTIFICATIONSETTINGSRESOURCETYPE_GOVERNANCE_NOTIFICATION_SETTINGS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateGovernanceNotificationSettings", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewGovernanceConsoleApi(apiClient)
	resp, r, err := api.UpdateGovernanceNotificationSettings(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `GovernanceConsoleApi.UpdateGovernanceNotificationSettings`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `GovernanceConsoleApi.UpdateGovernanceNotificationSettings`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update notification settings returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.GovernanceConsoleApi;
import com.datadog.api.client.v2.model.GovernanceNotificationSettingsResourceType;
import com.datadog.api.client.v2.model.GovernanceNotificationSettingsResponse;
import com.datadog.api.client.v2.model.GovernanceNotificationSettingsUpdateAttributes;
import com.datadog.api.client.v2.model.GovernanceNotificationSettingsUpdateData;
import com.datadog.api.client.v2.model.GovernanceNotificationSettingsUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateGovernanceNotificationSettings", true);
    GovernanceConsoleApi apiInstance = new GovernanceConsoleApi(defaultClient);

    GovernanceNotificationSettingsUpdateRequest body =
        new GovernanceNotificationSettingsUpdateRequest()
            .data(
                new GovernanceNotificationSettingsUpdateData()
                    .attributes(
                        new GovernanceNotificationSettingsUpdateAttributes()
                            .assignmentNotificationsEnabled(true))
                    .type(
                        GovernanceNotificationSettingsResourceType
                            .GOVERNANCE_NOTIFICATION_SETTINGS));

    try {
      GovernanceNotificationSettingsResponse result =
          apiInstance.updateGovernanceNotificationSettings(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling GovernanceConsoleApi#updateGovernanceNotificationSettings");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Update notification settings returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_governance_console::GovernanceConsoleAPI;
use datadog_api_client::datadogV2::model::GovernanceNotificationSettingsResourceType;
use datadog_api_client::datadogV2::model::GovernanceNotificationSettingsUpdateAttributes;
use datadog_api_client::datadogV2::model::GovernanceNotificationSettingsUpdateData;
use datadog_api_client::datadogV2::model::GovernanceNotificationSettingsUpdateRequest;

#[tokio::main]
async fn main() {
    let body = GovernanceNotificationSettingsUpdateRequest::new(
        GovernanceNotificationSettingsUpdateData::new(
            GovernanceNotificationSettingsResourceType::GOVERNANCE_NOTIFICATION_SETTINGS,
        )
        .attributes(
            GovernanceNotificationSettingsUpdateAttributes::new()
                .assignment_notifications_enabled(true),
        ),
    );
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateGovernanceNotificationSettings", true);
    let api = GovernanceConsoleAPI::with_config(configuration);
    let resp = api.update_governance_notification_settings(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update notification settings returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateGovernanceNotificationSettings"] =
  true;
const apiInstance = new v2.GovernanceConsoleApi(configuration);

const params: v2.GovernanceConsoleApiUpdateGovernanceNotificationSettingsRequest =
  {
    body: {
      data: {
        attributes: {
          assignmentNotificationsEnabled: true,
        },
        type: "governance_notification_settings",
      },
    },
  };

apiInstance
  .updateGovernanceNotificationSettings(params)
  .then((data: v2.GovernanceNotificationSettingsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
